# WMS Usage

flutter\_map supports WMS tile servers through `WMSTileLayerOptions` - `wmsOptions` in `TileLayer`s.

For usage, please refer to the Full API Reference, and the examples in the example app.

{% embed url="<https://pub.dev/documentation/flutter_map/latest/flutter_map/WMSTileLayerOptions-class.html>" %}

{% hint style="success" %}
Omit `urlTemplate` if using WMS tiles. The template is now specified in the `baseUrl` property of `WMSTileLayerOptions`.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fleaflet.dev/v6/layers/tile-layer/wms-usage.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
